org.eclipse.actf.ui.util

## Class PreferenceUtils

- java.lang.Object
- - org.eclipse.actf.ui.util.PreferenceUtils

    public class PreferenceUtils
    extends Object

Utility class to launch preference page.

### Constructor Summary

Constructors
Constructor and Description
`PreferenceUtils()`

### Method Summary

Methods
`static void` `close()` Close the preference dialog launched by using this utility.
`static void` `openPreferenceDialog()` Open a workbench preference dialog.
`static void` `openPreferenceDialog(String selectedPreferencePageId)` Open a workbench preference dialog and selects particular preference page.

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### PreferenceUtils

    public PreferenceUtils()

### Method Detail

#### openPreferenceDialog

    public static void openPreferenceDialog()

Open a workbench preference dialog.

#### openPreferenceDialog

    public static void openPreferenceDialog(String selectedPreferencePageId)

Open a workbench preference dialog and selects particular preference page. If there is already a preference dialog open this dialog is used and its selection is set to the page with id preferencePageId. Show the other pages as filtered results using whatever filtering criteria the search uses.

Parameters:
  `selectedPreferencePageId` - target preference page ID

#### close

    public static void close()

Close the preference dialog launched by using this utility.